# Generated by Django 2.2.26 on 2022-01-31 15:34

from django.db import migrations, models
import djangoldp.fields


class Migration(migrations.Migration):

    dependencies = [
        ('djangoldp_blog', '0004_auto_20220128_1554'),
    ]

    operations = [
        migrations.CreateModel(
            name='Documenttype',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, max_length=50, null=True, verbose_name='nom du type de document')),
            ],
            options={
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'depth': 0,
            },
        ),
        migrations.CreateModel(
            name='Document',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, max_length=250, null=True, verbose_name='Nom du document')),
                ('link', models.URLField(blank=True, max_length=250, null=True, verbose_name='Lien vers le document')),
                ('thematic', models.ManyToManyField(blank=True, max_length=50, related_name='document', to='djangoldp_blog.Thematic', verbose_name='Thématique')),
                ('type', models.ManyToManyField(blank=True, max_length=50, related_name='documenttype', to='djangoldp_blog.Documenttype', verbose_name='Type de document')),
            ],
            options={
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'depth': 0,
            },
        ),
        migrations.CreateModel(
            name='Contactlist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, max_length=250, null=True, verbose_name='Nom de la liste de contact')),
                ('link', models.URLField(blank=True, max_length=250, null=True, verbose_name='Lien vers la liste de contact')),
                ('thematic', models.ManyToManyField(blank=True, max_length=50, related_name='contactlist', to='djangoldp_blog.Thematic', verbose_name='Thématique')),
            ],
            options={
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'depth': 0,
            },
        ),
    ]
